Part Ellipsoid

From FreeCAD Documentation
Revision as of 13:32, 20 April 2022 by FBXL5 (talk | contribs) (Created page with "Beispiel:")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Part Ellipsoid

Menüeintrag
Formteil → Grundkörper erstellen... → Ellipsoid
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Ellipsoid ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, sind die Achsen des Ellipsoids fluchtend mit den X-, Y-, und Z-Achsen und damit sein Mittelpunkt im Ursprung.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DatenAngle1 and/or DatenAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DatenAngle3 property.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Ellipsoid aus dem Skriptbeispiel

Ein Part-Ellipsoid-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Ellipsoid-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DatenRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DatenRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DatenRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DatenAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DatenAngle2. The default is -90°.
  • DatenAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DatenAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DatenAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()